Register all statements and blobs from a manifest into a new graph.
const url = 'https://example.com/manifest/v1';const options = { method: 'POST', headers: {Authorization: 'Bearer
', 'Content-Type': 'application/json'}, body: '{"manifest":{},"name":"Manifest Registration","parent_id":"00000000-0000-0000-0000-000000000000"}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}
curl --request POST \ --url https://example.com/manifest/v1 \ --header 'Authorization: Bearer
' \ --header 'Content-Type: application/json' \ --data '{ "manifest": {}, "name": "Manifest Registration", "parent_id": "00000000-0000-0000-0000-000000000000" }'
Register all statements and blobs from a manifest into a new graph.
Returns the UUID of the created graph.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/jsonRequest body for importing a manifest into a newly created graph.
object manifest requiredManifest payload to import. Accepts a manifest object, a JSON string, base64 JSON, or gzip+base64 JSON.
object name requiredHuman-readable name for the new graph created from this manifest import.
stringExample
Manifest Registration
parent_id required
UUID of the parent graph that the imported graph will be attached to.
stringExample
00000000-0000-0000-0000-000000000000
Responses
Section titled “ Responses ”200
Section titled “200 ”Manifest registered successfully
Media type application/jsonResponse body returned after a manifest import succeeds.
object graph_id requiredUUID of the graph created for the imported manifest.
stringExample
{ "graph_id": "00000000-0000-0000-0000-000000000000"}
400
Section titled “400 ”The manifest payload is invalid, a blob is not valid base64, a blob CID does not match, or the parent graph does not exist
409
Section titled “409 ”Graph was already registered
500
Section titled “500 ”Internal server error
503
Section titled “503 ”Blob storage is unavailable or misconfigured
Previousget Next
Overview